pcl::registration::CorrespondenceRejectorFeatures::FeatureContainer< FeatureT > Class Template Reference

An inner class containing pointers to the source and target feature clouds and the parameters needed to perform the correspondence search. More...

`#include <pcl/registration/correspondence_rejection_features.h>`

Inheritance diagram for pcl::registration::CorrespondenceRejectorFeatures::FeatureContainer< FeatureT >:

## Public Types

typedef pcl::PointCloud< FeatureT >::ConstPtr | FeatureCloudConstPtr
typedef boost::function< int(const pcl::PointCloud< FeatureT > &, int, std::vector< int > &, std::vector< float > &)> | SearchMethod
typedef pcl::PointRepresentation< FeatureT >::ConstPtr | PointRepresentationConstPtr

## Public Member Functions

| FeatureContainer ()
virtual | ~FeatureContainer ()
| Empty destructor. More...
void | setSourceFeature (const FeatureCloudConstPtr &source_features)
FeatureCloudConstPtr | getSourceFeature ()
void | setTargetFeature (const FeatureCloudConstPtr &target_features)
FeatureCloudConstPtr | getTargetFeature ()
void | setDistanceThreshold (double thresh)
virtual bool | isValid ()
void | setFeatureRepresentation (const PointRepresentationConstPtr &fr)
| Provide a boost shared pointer to a PointRepresentation to be used when comparing features. More...
virtual double | getCorrespondenceScore (int index)
| Obtain a score between a pair of correspondences. More...
virtual bool | isCorrespondenceValid (int index)
| Check whether the correspondence pair at the given index is valid by computing the score and testing it against the user given threshold. More...
Public Member Functions inherited from pcl::registration::CorrespondenceRejectorFeatures::FeatureContainerInterface
virtual | ~FeatureContainerInterface ()
| Empty destructor. More...

## Detailed Description

### template<typename FeatureT>
class pcl::registration::CorrespondenceRejectorFeatures::FeatureContainer< FeatureT >

An inner class containing pointers to the source and target feature clouds and the parameters needed to perform the correspondence search.

This class extends FeatureContainerInterface, which contains abstract methods for any methods that do not depend on the FeatureT — these methods can thus be called from a pointer to FeatureContainerInterface without casting to the derived class.

Definition at line 176 of file correspondence_rejection_features.h.

## Member Typedef Documentation

template<typename FeatureT >

typedef pcl::PointCloud<FeatureT>::ConstPtr pcl::registration::CorrespondenceRejectorFeatures::FeatureContainer< FeatureT >::FeatureCloudConstPtr

Definition at line 179 of file correspondence_rejection_features.h.

template<typename FeatureT >

typedef pcl::PointRepresentation<FeatureT>::ConstPtr pcl::registration::CorrespondenceRejectorFeatures::FeatureContainer< FeatureT >::PointRepresentationConstPtr

Definition at line 183 of file correspondence_rejection_features.h.

template<typename FeatureT >

typedef boost::function<int (const pcl::PointCloud<FeatureT> &, int, std::vector<int> &, std::vector<float> &)> pcl::registration::CorrespondenceRejectorFeatures::FeatureContainer< FeatureT >::SearchMethod

Definition at line 181 of file correspondence_rejection_features.h.

## Constructor & Destructor Documentation

template<typename FeatureT >

pcl::registration::CorrespondenceRejectorFeatures::FeatureContainer< FeatureT >::FeatureContainer | ( |  | ) |

inline

Definition at line 185 of file correspondence_rejection_features.h.

template<typename FeatureT >

virtual pcl::registration::CorrespondenceRejectorFeatures::FeatureContainer< FeatureT >::~FeatureContainer | ( |  | ) |

inline virtual

Empty destructor.

Definition at line 190 of file correspondence_rejection_features.h.

## Member Function Documentation

template<typename FeatureT >

virtual double pcl::registration::CorrespondenceRejectorFeatures::FeatureContainer< FeatureT >::getCorrespondenceScore | ( | int | index | ) |

inline virtual

Obtain a score between a pair of correspondences.

Parameters

  [in] | index | the index to check in the list of correspondences

Returns
  score the resultant computed score

Implements pcl::registration::CorrespondenceRejectorFeatures::FeatureContainerInterface.

Definition at line 246 of file correspondence_rejection_features.h.

template<typename FeatureT >

FeatureCloudConstPtr pcl::registration::CorrespondenceRejectorFeatures::FeatureContainer< FeatureT >::getSourceFeature | ( |  | ) |

inline

Definition at line 199 of file correspondence_rejection_features.h.

Referenced by pcl::registration::CorrespondenceRejectorFeatures::getSourceFeature().

template<typename FeatureT >

FeatureCloudConstPtr pcl::registration::CorrespondenceRejectorFeatures::FeatureContainer< FeatureT >::getTargetFeature | ( |  | ) |

inline

Definition at line 211 of file correspondence_rejection_features.h.

Referenced by pcl::registration::CorrespondenceRejectorFeatures::getTargetFeature().

template<typename FeatureT >

virtual bool pcl::registration::CorrespondenceRejectorFeatures::FeatureContainer< FeatureT >::isCorrespondenceValid | ( | int | index | ) |

inline virtual

Check whether the correspondence pair at the given index is valid by computing the score and testing it against the user given threshold.

Parameters

  [in] | index | the index to check in the list of correspondences

Returns
  true if the correspondence is good, false otherwise

Implements pcl::registration::CorrespondenceRejectorFeatures::FeatureContainerInterface.

Definition at line 279 of file correspondence_rejection_features.h.

template<typename FeatureT >

virtual bool pcl::registration::CorrespondenceRejectorFeatures::FeatureContainer< FeatureT >::isValid | ( |  | ) |

inline virtual

Implements pcl::registration::CorrespondenceRejectorFeatures::FeatureContainerInterface.

Definition at line 223 of file correspondence_rejection_features.h.

template<typename FeatureT >

void pcl::registration::CorrespondenceRejectorFeatures::FeatureContainer< FeatureT >::setDistanceThreshold | ( | double | thresh | ) |

inline

Definition at line 217 of file correspondence_rejection_features.h.

template<typename FeatureT >

void pcl::registration::CorrespondenceRejectorFeatures::FeatureContainer< FeatureT >::setFeatureRepresentation | ( | const PointRepresentationConstPtr & | fr | ) |

inline

Provide a boost shared pointer to a PointRepresentation to be used when comparing features.

Parameters

  [in] | fr | the point feature representation to be used

Definition at line 236 of file correspondence_rejection_features.h.

template<typename FeatureT >

void pcl::registration::CorrespondenceRejectorFeatures::FeatureContainer< FeatureT >::setSourceFeature | ( | const FeatureCloudConstPtr & | source_features | ) |

inline

Definition at line 193 of file correspondence_rejection_features.h.

template<typename FeatureT >

void pcl::registration::CorrespondenceRejectorFeatures::FeatureContainer< FeatureT >::setTargetFeature | ( | const FeatureCloudConstPtr & | target_features | ) |

inline

Definition at line 205 of file correspondence_rejection_features.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/registration/include/pcl/registration/correspondence_rejection_features.h